=== AWT/Makefile ===
# for variables passed from parent makefile see ../SOURCE_TOOLS/parent_make.txt

.SUFFIXES: .o .cxx .depend

SOURCES=$(wildcard *.cxx)
OBJECTS=$(subst .cxx,.o,$(SOURCES))

LIB_SHARED=../lib/$(MAIN:.a=).$(SHARED_LIB_SUFFIX)

# MAIN contains .a (instead of wanted .so). Translate via do_...-target
it: do_$(MAIN)

do_AWT.a:
	@echo "Error: MAIN='$(MAIN)' is set wrong"
	false

do_libAWT.a: $(LIB_SHARED)

$(LIB_SHARED): $(OBJECTS)
	$(LINK_SHARED_LIB) $(LIB_SHARED) $(OBJECTS)

.cxx.o:
	$(A_CXX) $(shared_cflags) $(cflags) $(cxxflags) -c $<  $(CXX_INCLUDES) $(POST_COMPILE)

clean:
	rm -f $(OBJECTS) *.a *.so

DEPENDS = $(OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl (from main)

AWT_asciiprint.o: awt.hxx
AWT_asciiprint.o: awt_asciiprint.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arb_core.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arb_error.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arb_msg.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arb_string.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/arbtools.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_base.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_question.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/cb.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/cb_base.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/cbtypes.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/cxxforward.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/downcast.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/dupstr.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/gccver.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/smartptr.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/static_assert.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/test_global.h
AWT_asciiprint.o: $(ARBHOME)/INCLUDE/ttypes.h

AWT_attributes.o: awt_attributes.hxx
AWT_attributes.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arb_core.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arb_error.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arb_msg.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arb_string.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/arbtools.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/aw_base.hxx
AWT_attributes.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
AWT_attributes.o: $(ARBHOME)/INCLUDE/cxxforward.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/dupstr.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/gccver.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/smartptr.h
AWT_attributes.o: $(ARBHOME)/INCLUDE/test_global.h

AWT_canio.o: awt_canvas.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_canio.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_core.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_defs.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_error.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_file.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_msg.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_progress.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_strbuf.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arb_string.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_canio.o: $(ARBHOME)/INCLUDE/arbtools.h
AWT_canio.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_base.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_device_click.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_file.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWT_canio.o: $(ARBHOME)/INCLUDE/cb.h
AWT_canio.o: $(ARBHOME)/INCLUDE/cb_base.h
AWT_canio.o: $(ARBHOME)/INCLUDE/cbtypes.h
AWT_canio.o: $(ARBHOME)/INCLUDE/cxxforward.h
AWT_canio.o: $(ARBHOME)/INCLUDE/downcast.h
AWT_canio.o: $(ARBHOME)/INCLUDE/dupstr.h
AWT_canio.o: $(ARBHOME)/INCLUDE/gccver.h
AWT_canio.o: $(ARBHOME)/INCLUDE/smartptr.h
AWT_canio.o: $(ARBHOME)/INCLUDE/static_assert.h
AWT_canio.o: $(ARBHOME)/INCLUDE/test_global.h
AWT_canio.o: $(ARBHOME)/INCLUDE/ttypes.h

AWT_canvas.o: awt.hxx
AWT_canvas.o: awt_canvas.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arb_core.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arb_error.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arb_msg.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arb_string.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/arbtools.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_base.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_device.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_device_click.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_position.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWT_canvas.o: $(ARBHOME)/INCLUDE/cb.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/cb_base.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/cbtypes.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/cxxforward.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/downcast.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/dupstr.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/gccver.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/smartptr.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/static_assert.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/test_global.h
AWT_canvas.o: $(ARBHOME)/INCLUDE/ttypes.h

AWT_config_manager.o: awt.hxx
AWT_config_manager.o: awt_config_manager.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arb_core.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arb_error.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arb_msg.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arb_strarray.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arb_string.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/arbtools.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_base.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_question.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWT_config_manager.o: $(ARBHOME)/INCLUDE/cb.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/cb_base.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/cbtypes.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/cxxforward.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/dupstr.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/gccver.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/smartptr.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/static_assert.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/test_global.h
AWT_config_manager.o: $(ARBHOME)/INCLUDE/ttypes.h

AWT_db_browser.o: awt.hxx
AWT_db_browser.o: awt_hexdump.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/ad_cb.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/ad_cb_prot.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_core.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_diff.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_error.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_file.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_misc.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_msg.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_str.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_strarray.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_strbuf.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arb_string.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/arbtools.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_advice.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_base.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_scalar.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_select.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/aw_window.hxx
AWT_db_browser.o: $(ARBHOME)/INCLUDE/cb.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/cb_base.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/cbtypes.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/cxxforward.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/dupstr.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/gccver.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/smartptr.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/static_assert.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/test_global.h
AWT_db_browser.o: $(ARBHOME)/INCLUDE/ttypes.h

AWT_hexdump.o: awt.hxx
AWT_hexdump.o: awt_hexdump.hxx
AWT_hexdump.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/arb_core.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/arb_error.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/arb_strbuf.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/arbtools.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/aw_base.hxx
AWT_hexdump.o: $(ARBHOME)/INCLUDE/aw_root.hxx
AWT_hexdump.o: $(ARBHOME)/INCLUDE/cb.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/cb_base.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/cbtypes.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/cxxforward.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/dupstr.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/gccver.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/smartptr.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/static_assert.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/test_global.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/test_unit.h
AWT_hexdump.o: $(ARBHOME)/INCLUDE/ttypes.h

AWT_hotkeys.o: awt_hotkeys.hxx

AWT_input_mask.o: awt.hxx
AWT_input_mask.o: awt_hotkeys.hxx
AWT_input_mask.o: awt_input_mask.hxx
AWT_input_mask.o: awt_input_mask_internal.hxx
AWT_input_mask.o: awt_www.hxx
AWT_input_mask.o: $(ARBHOME)/INCLUDE/ad_cb.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/ad_cb_prot.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/ad_prot.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arb_assert.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arb_core.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arb_error.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arb_file.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arb_msg.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arb_string.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arbdb.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arbdb_base.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arbdbt.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/arbtools.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/attributes.h
AWT_input_mask.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
AWT_input_mask.o: $(ARBHOME)/INCLUDE/aw_base.hxx
