=== EDIT4/Makefile ===
# for variables passed from parent makefile see ../SOURCE_TOOLS/parent_make.txt

.SUFFIXES: .o .cxx .depend

SOURCES=$(wildcard *.cxx)
OBJECTS=$(subst .cxx,.o,$(SOURCES))

$(MAIN): $(OBJECTS)
	$(LINK_STATIC_LIB) $(MAIN) $(OBJECTS)

.cxx.o:
	$(A_CXX) $(cflags) $(cxxflags) -c -o $@ $(@:.o=.cxx)  $(CXX_INCLUDES) $(POST_COMPILE)

clean:
	rm -f $(OBJECTS) *.a

DEPENDS = $(OBJECTS:.o=.depend)
depends: $(DEPENDS)
	@cat $(DEPENDS) | grep -v '^#' >>Makefile
	@rm $(DEPENDS)
$(DEPENDS): depend.init
depend.init:
	$(MAKEDEPEND) $(MAKEDEPENDFLAGS) 2>/dev/null # remove dependencies
.c.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@
.cxx.depend:
	$(MAKEDEPEND) -f- $(MAKEDEPENDFLAGS) $< 2>/dev/null >$@

# DO NOT DELETE THIS LINE -- make depend depends on it.

# Do not add dependencies manually - use 'make depend' in $ARBHOME
# For formatting issues see SOURCE_TOOLS/fix_depends.pl (from main)

ED4_base.o: ed4_awars.hxx
ED4_base.o: ed4_class.hxx
ED4_base.o: ed4_defs.hxx
ED4_base.o: ed4_edit_string.hxx
ED4_base.o: ed4_extern.hxx
ED4_base.o: ed4_list.hxx
ED4_base.o: ed4_search.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/ad_cb.h
ED4_base.o: $(ARBHOME)/INCLUDE/ad_cb_prot.h
ED4_base.o: $(ARBHOME)/INCLUDE/ad_prot.h
ED4_base.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
ED4_base.o: $(ARBHOME)/INCLUDE/arb_assert.h
ED4_base.o: $(ARBHOME)/INCLUDE/arb_core.h
ED4_base.o: $(ARBHOME)/INCLUDE/arb_error.h
ED4_base.o: $(ARBHOME)/INCLUDE/arb_msg.h
ED4_base.o: $(ARBHOME)/INCLUDE/arb_progress.h
ED4_base.o: $(ARBHOME)/INCLUDE/arb_string.h
ED4_base.o: $(ARBHOME)/INCLUDE/arbdb.h
ED4_base.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ED4_base.o: $(ARBHOME)/INCLUDE/arbdbt.h
ED4_base.o: $(ARBHOME)/INCLUDE/arbtools.h
ED4_base.o: $(ARBHOME)/INCLUDE/attributes.h
ED4_base.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_base.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_device.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_font_group.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_position.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_preset.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_question.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_root.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/aw_window.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/BI_basepos.hxx
ED4_base.o: $(ARBHOME)/INCLUDE/cb.h
ED4_base.o: $(ARBHOME)/INCLUDE/cb_base.h
ED4_base.o: $(ARBHOME)/INCLUDE/cbtypes.h
ED4_base.o: $(ARBHOME)/INCLUDE/cxxforward.h
ED4_base.o: $(ARBHOME)/INCLUDE/downcast.h
ED4_base.o: $(ARBHOME)/INCLUDE/dupstr.h
ED4_base.o: $(ARBHOME)/INCLUDE/gccver.h
ED4_base.o: $(ARBHOME)/INCLUDE/pos_range.h
ED4_base.o: $(ARBHOME)/INCLUDE/smartptr.h
ED4_base.o: $(ARBHOME)/INCLUDE/static_assert.h
ED4_base.o: $(ARBHOME)/INCLUDE/test_global.h
ED4_base.o: $(ARBHOME)/INCLUDE/ttypes.h

ED4_block.o: ed4_awars.hxx
ED4_block.o: ed4_block.hxx
ED4_block.o: ed4_class.hxx
ED4_block.o: ed4_defs.hxx
ED4_block.o: ed4_edit_string.hxx
ED4_block.o: ed4_list.hxx
ED4_block.o: ed4_search.hxx
ED4_block.o: ed4_tools.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/ad_prot.h
ED4_block.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
ED4_block.o: $(ARBHOME)/INCLUDE/arb_assert.h
ED4_block.o: $(ARBHOME)/INCLUDE/arb_core.h
ED4_block.o: $(ARBHOME)/INCLUDE/arb_error.h
ED4_block.o: $(ARBHOME)/INCLUDE/arb_msg.h
ED4_block.o: $(ARBHOME)/INCLUDE/arb_string.h
ED4_block.o: $(ARBHOME)/INCLUDE/arbdb.h
ED4_block.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ED4_block.o: $(ARBHOME)/INCLUDE/arbdbt.h
ED4_block.o: $(ARBHOME)/INCLUDE/arbtools.h
ED4_block.o: $(ARBHOME)/INCLUDE/attributes.h
ED4_block.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_awar_defs.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_base.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_device.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_font_group.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_position.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_root.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_scalar.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_select.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/aw_window.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/awt_sel_boxes.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/BI_basepos.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/cb.h
ED4_block.o: $(ARBHOME)/INCLUDE/cb_base.h
ED4_block.o: $(ARBHOME)/INCLUDE/cbtypes.h
ED4_block.o: $(ARBHOME)/INCLUDE/cxxforward.h
ED4_block.o: $(ARBHOME)/INCLUDE/downcast.h
ED4_block.o: $(ARBHOME)/INCLUDE/dupstr.h
ED4_block.o: $(ARBHOME)/INCLUDE/fast_aligner.hxx
ED4_block.o: $(ARBHOME)/INCLUDE/gccver.h
ED4_block.o: $(ARBHOME)/INCLUDE/pos_range.h
ED4_block.o: $(ARBHOME)/INCLUDE/smartptr.h
ED4_block.o: $(ARBHOME)/INCLUDE/static_assert.h
ED4_block.o: $(ARBHOME)/INCLUDE/test_global.h
ED4_block.o: $(ARBHOME)/INCLUDE/test_unit.h
ED4_block.o: $(ARBHOME)/INCLUDE/ttypes.h

ED4_colStat.o: ed4_class.hxx
ED4_colStat.o: ed4_colStat.hxx
ED4_colStat.o: ed4_defs.hxx
ED4_colStat.o: ed4_extern.hxx
ED4_colStat.o: ed4_search.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/arb_assert.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/arb_core.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/arb_error.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/arbtools.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/attributes.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/aw_base.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/aw_device.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/aw_font_group.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/aw_position.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/aw_root.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/aw_window.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/BI_basepos.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/cb.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/cb_base.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/cbtypes.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/cxxforward.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/downcast.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/dupstr.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/gccver.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/pos_range.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/smartptr.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/st_window.hxx
ED4_colStat.o: $(ARBHOME)/INCLUDE/static_assert.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/test_global.h
ED4_colStat.o: $(ARBHOME)/INCLUDE/ttypes.h

ED4_cursor.o: ed4_awars.hxx
ED4_cursor.o: ed4_class.hxx
ED4_cursor.o: ed4_defs.hxx
ED4_cursor.o: ed4_edit_string.hxx
ED4_cursor.o: ed4_extern.hxx
ED4_cursor.o: ed4_ProteinViewer.hxx
ED4_cursor.o: ed4_search.hxx
ED4_cursor.o: ed4_tools.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/ad_prot.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arb_assert.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arb_core.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arb_defs.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arb_error.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arb_msg.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arb_progress.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arb_strbuf.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arb_string.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arbdb.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arbdbt.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/arbtools.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/attributes.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_awar_defs.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_awars.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_base.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_device.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_font_group.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/AW_helix.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_position.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_root.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/aw_window.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/BI_basepos.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/BI_helix.hxx
ED4_cursor.o: $(ARBHOME)/INCLUDE/cb.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/cb_base.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/cbtypes.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/cxxforward.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/downcast.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/dupstr.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/gccver.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/pos_range.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/smartptr.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/static_assert.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/test_global.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/test_helpers.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/test_unit.h
ED4_cursor.o: $(ARBHOME)/INCLUDE/ttypes.h

ED4_dots.o: ed4_class.hxx
ED4_dots.o: ed4_defs.hxx
ED4_dots.o: ed4_dots.hxx
ED4_dots.o: ed4_search.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/ad_prot.h
ED4_dots.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
ED4_dots.o: $(ARBHOME)/INCLUDE/arb_assert.h
ED4_dots.o: $(ARBHOME)/INCLUDE/arb_core.h
ED4_dots.o: $(ARBHOME)/INCLUDE/arb_error.h
ED4_dots.o: $(ARBHOME)/INCLUDE/arb_msg.h
ED4_dots.o: $(ARBHOME)/INCLUDE/arb_string.h
ED4_dots.o: $(ARBHOME)/INCLUDE/arbdb.h
ED4_dots.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ED4_dots.o: $(ARBHOME)/INCLUDE/arbdbt.h
ED4_dots.o: $(ARBHOME)/INCLUDE/arbtools.h
ED4_dots.o: $(ARBHOME)/INCLUDE/attributes.h
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_awar.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_base.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_device.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_font_group.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_msg.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_position.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_root.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/aw_window.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/awt_sel_boxes.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/BI_basepos.hxx
ED4_dots.o: $(ARBHOME)/INCLUDE/cb.h
ED4_dots.o: $(ARBHOME)/INCLUDE/cb_base.h
ED4_dots.o: $(ARBHOME)/INCLUDE/cbtypes.h
ED4_dots.o: $(ARBHOME)/INCLUDE/cxxforward.h
ED4_dots.o: $(ARBHOME)/INCLUDE/downcast.h
ED4_dots.o: $(ARBHOME)/INCLUDE/dupstr.h
ED4_dots.o: $(ARBHOME)/INCLUDE/gccver.h
ED4_dots.o: $(ARBHOME)/INCLUDE/pos_range.h
ED4_dots.o: $(ARBHOME)/INCLUDE/smartptr.h
ED4_dots.o: $(ARBHOME)/INCLUDE/static_assert.h
ED4_dots.o: $(ARBHOME)/INCLUDE/test_global.h
ED4_dots.o: $(ARBHOME)/INCLUDE/ttypes.h

ED4_dump.o: ed4_class.hxx
ED4_dump.o: ed4_defs.hxx
ED4_dump.o: ed4_search.hxx
ED4_dump.o: $(ARBHOME)/INCLUDE/ad_prot.h
ED4_dump.o: $(ARBHOME)/INCLUDE/arb_assert.h
ED4_dump.o: $(ARBHOME)/INCLUDE/arb_core.h
ED4_dump.o: $(ARBHOME)/INCLUDE/arb_error.h
ED4_dump.o: $(ARBHOME)/INCLUDE/arb_msg.h
ED4_dump.o: $(ARBHOME)/INCLUDE/arb_string.h
ED4_dump.o: $(ARBHOME)/INCLUDE/arbdb.h
ED4_dump.o: $(ARBHOME)/INCLUDE/arbdb_base.h
ED4_dump.o: $(ARBHOME)/INCLUDE/arbtools.h
ED4_dump.o: $(ARBHOME)/INCLUDE/attributes.h
ED4_dump.o: $(ARBHOME)/INCLUDE/aw_base.hxx
ED4_dump.o: $(ARBHOME)/INCLUDE/aw_color_groups.hxx
ED4_dump.o: $(ARBHOME)/INCLUDE/aw_device.hxx
ED4_dump.o: $(ARBHOME)/INCLUDE/aw_font_group.hxx
ED4_dump.o: $(ARBHOME)/INCLUDE/aw_keysym.hxx
ED4_dump.o: $(ARBHOME)/INCLUDE/aw_position.hxx
ED4_dump.o: $(ARBHOME)/INCLUDE/aw_window.hxx
ED4_dump.o: $(ARBHOME)/INCLUDE/BI_basepos.hxx
ED4_dump.o: $(ARBHOME)/INCLUDE/cb.h
ED4_dump.o: $(ARBHOME)/INCLUDE/cb_base.h
ED4_dump.o: $(ARBHOME)/INCLUDE/cbtypes.h
ED4_dump.o: $(ARBHOME)/INCLUDE/cxxforward.h
ED4_dump.o: $(ARBHOME)/INCLUDE/downcast.h
ED4_dump.o: $(ARBHOME)/INCLUDE/dupstr.h
ED4_dump.o: $(ARBHOME)/INCLUDE/gccver.h
ED4_dump.o: $(ARBHOME)/INCLUDE/pos_range.h
ED4_dump.o: $(ARBHOME)/INCLUDE/smartptr.h
ED4_dump.o: $(ARBHOME)/INCLUDE/static_assert.h
ED4_dump.o: $(ARBHOME)/INCLUDE/test_global.h
ED4_dump.o: $(ARBHOME)/INCLUDE/ttypes.h

ED4_edit_string.o: ed4_awars.hxx
ED4_edit_string.o: ed4_class.hxx
ED4_edit_string.o: ed4_defs.hxx
ED4_edit_string.o: ed4_edit_string.hxx
ED4_edit_string.o: ed4_search.hxx
ED4_edit_string.o: $(ARBHOME)/INCLUDE/ad_prot.h
ED4_edit_string.o: $(ARBHOME)/INCLUDE/ad_t_prot.h
