=== debian/changelog ===
arb (6.0.6-5) unstable; urgency=medium

  * Team Upload.
  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.
  * Use secure copyright file specification URI.

  [ Andreas Tille ]
  * Standards-Version: 4.2.1
  * Remove trailing whitespace in debian/rules
  * Do not parse d/changelog
  * Fix description
    Closes: #926017
  * d/watch: (FIXME) Add location of new upstream releases as comment
  
  [ Elmar Pruesse ]
  * Fix stripping of static libs

  [ Steffen Möller ]
  * Update metadata with ref to conda
  * Update metadata - updated bio.tools ref to lowercase

  [ Nilesh Patra ]
  * Add patch to fix FTBFS with new glibc, add flags to
    use libtirpc-dev (Closes: #998237)
  * Add B-D on libtirpc-dev

 -- Nilesh Patra <nilesh@debian.org>  Sat, 06 Nov 2021 02:25:36 +0530

arb (6.0.6-4) unstable; urgency=medium

  * Fix symlink
    Closes: #903921
  * debhelper 11
  * Point Vcs fields to salsa.debian.org
  * Standards-Version: 4.1.5

 -- Andreas Tille <tille@debian.org>  Tue, 17 Jul 2018 15:47:02 +0200

arb (6.0.6-3) unstable; urgency=medium

  * Add Indonesian debconf translation
    Closes: #862913
  * Standards-Version: 4.1.2

 -- Andreas Tille <tille@debian.org>  Tue, 19 Dec 2017 11:38:55 +0100

arb (6.0.6-2) unstable; urgency=medium

  * Team upload
  * Moved packaging to git
  * d/control: transfig → fig2dev (Closes: #866151)
  * do not create MAFFT symlinks (Closes: #857283)
  * bump standards version

 -- Fabian Klötzl <fabian@kloetzl.info>  Tue, 12 Sep 2017 17:32:11 +0200

arb (6.0.6-1) unstable; urgency=medium

  * New upstream version
  * Update Swedish debconf translation (Thanks to Martin Bagge
    <brother@bsnet.se>)
    Closes: #769879
  * Add Catalan debconf templates translation (Thanks to Innocent De Marchi
    <tangram.peces@gmail.com>)
    Closes: #788004
  * debhelper 10
  * d/watch: version=4
  * d/rules: hardening=+all (but no effect :-()
  * Delete menu file
  * Install arb_CHANGES.txt as upstream changelog

 -- Andreas Tille <tille@debian.org>  Wed, 07 Dec 2016 10:34:07 +0100

arb (6.0.3-2) unstable; urgency=medium

  * Team upload.
  * Fix building with GCC 6.
    - Use correct return type in method definition.
    - Allow for newer __cplusplus versions.
    Closes: #834170
  * Use secure Vcs-Browser.
  * Do not depend on perl-modules.
  * Bump Standards-Version.

 -- Sascha Steinbiss <satta@debian.org>  Sat, 17 Sep 2016 10:34:18 +0000
