=== debian/control ===
Source: arb
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Andreas Tille <tille@debian.org>,
           Elmar Pruesse <elmar@pruesse.net>
Section: non-free/science
XS-Autobuild: yes
Priority: optional
Build-Depends: chrpath,
               debhelper (>= 11~),
               freeglut3-dev | libglu-dev,
               libbio-perl-perl,
               libglew-dev,
               libglib2.0-dev,
               libglw1-mesa-dev,
               libglu1-mesa-dev,
               libmotif-dev,
               libpng-dev,
               libtiff-dev,
               libtirpc-dev,
               libxaw7-dev,
               libxml2-utils,
               libxpm-dev,
               lynx,
               time,
               perl-doc,
               xsltproc,
               xutils-dev
Standards-Version: 4.2.1
Vcs-Browser: https://salsa.debian.org/med-team/arb
Vcs-Git: https://salsa.debian.org/med-team/arb.git
Homepage: http://www.arb-home.de/

Package: arb
Architecture: amd64 i386 kfreebsd-i386 kfreebsd-amd64
Depends: arb-common (= ${source:Version}),
         fastdnaml,
         libarb (= ${binary:Version}),
         openssh-client,
         mafft,
         mrbayes,
         phylip,
         phyml,
         raxml,
         readseq,
         fig2dev,
         tree-puzzle,
         xdg-utils,
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: bioperl,
            xfig
Suggests: arb-database,
          gnuplot,
          gv
Description: phylogenetic sequence analysis suite - main program
 ARB is a graphical suite of tools for sequence database handling and data
 analysis. A central database of processed (aligned) sequences and any
 type of additional data linked to the sequence entries is structured
 according to phylogeny or other user-defined criteria.
 .
 The ARB project (from the Latin "arbor", a tree) is a joint initiative of
 the Lehrstuhl für Mikrobiologie and the LRR of the Technische Universität
 München in 1992.
 Since 2014 the ARB project is continued by the Department of Molecular
 Ecology http://www.mpi-bremen.de/en/Department_of_Molecular_Ecology.html
 at the Max Planck Institute for Marine Microbiology in Bremen in
 cooperation with Ribocon GmbH http://www.ribocon.com .

Package: libarb
Architecture: amd64 i386 kfreebsd-i386 kfreebsd-amd64
Depends: ${misc:Depends},
         ${shlibs:Depends}
Recommends: arb
Description: phylogenetic sequence analysis suite - libraries
 ARB is a graphical suite of tools for sequence database handling and data
 analysis. A central database of processed (aligned) sequences and any
 type of additional data linked to the sequence entries is structured
 according to phylogeny or other user-defined criteria.
 .
 The ARB project (from the Latin "arbor", a tree) is a joint initiative of
 the Lehrstuhl für Mikrobiologie and the LRR of the Technische Universität
 München in 1992.
 Since 2014 the ARB project is continued by the Department of Molecular
 Ecology http://www.mpi-bremen.de/en/Department_of_Molecular_Ecology.html
 at the Max Planck Institute for Marine Microbiology in Bremen in
 cooperation with Ribocon GmbH http://www.ribocon.com .
 .
 This package provides the dynamic libraries which are used by ARB.

Package: libarb-dev
Architecture: amd64 i386 kfreebsd-i386 kfreebsd-amd64
Section: non-free/libdevel
Depends: libarb (= ${binary:Version}),
         ${misc:Depends}
Description: phylogenetic sequence analysis suite - development files
 ARB is a graphical suite of tools for sequence database handling and data
 analysis. A central database of processed (aligned) sequences and any
 type of additional data linked to the sequence entries is structured
 according to phylogeny or other user-defined criteria.
 .
 The ARB project (from the Latin "arbor", a tree) is a joint initiative of
 the Lehrstuhl für Mikrobiologie and the LRR of the Technische Universität
 München in 1992.
 Since 2014 the ARB project is continued by the Department of Molecular
 Ecology http://www.mpi-bremen.de/en/Department_of_Molecular_Ecology.html
 at the Max Planck Institute for Marine Microbiology in Bremen in
 cooperation with Ribocon GmbH http://www.ribocon.com .
 .
 This package provides headers and static libs needed to link against
 libARBDB.

Package: arb-common
Architecture: all
Depends: adduser,
         arb-doc (= ${source:Version}),
         ghostscript | postscript-preview,
         gv | postscript-viewer,
         ${perl:Depends},
         ${misc:Depends}
Recommends: arb
Description: phylogenetic sequence analysis suite - common files
 ARB is a graphical suite of tools for sequence database handling and data
 analysis. A central database of processed (aligned) sequences and any
 type of additional data linked to the sequence entries is structured
 according to phylogeny or other user-defined criteria.
 .
 The ARB project (from the Latin "arbor", a tree) is a joint initiative of
 the Lehrstuhl für Mikrobiologie and the LRR of the Technische Universität
 München in 1992.
 Since 2014 the ARB project is continued by the Department of Molecular
 Ecology http://www.mpi-bremen.de/en/Department_of_Molecular_Ecology.html
 at the Max Planck Institute for Marine Microbiology in Bremen in
 cooperation with Ribocon GmbH http://www.ribocon.com .
 .
 This package provides the architecture independent scripts of ARB.

Package: arb-doc
Architecture: all
Section: non-free/doc
Depends: ghostscript | postscript-preview,
         gv | postscript-viewer,
         ${misc:Depends}
Suggests: arb
Description: phylogenetic sequence analysis suite - documentation
 ARB is a graphical suite of tools for sequence database handling and data
 analysis. A central database of processed (aligned) sequences and any
 type of additional data linked to the sequence entries is structured
 according to phylogeny or other user-defined criteria.
 .
 The ARB project (from the Latin "arbor", a tree) is a joint initiative of
 the Lehrstuhl für Mikrobiologie and the LRR of the Technische Universität
 München in 1992.
 Since 2014 the ARB project is continued by the Department of Molecular
 Ecology http://www.mpi-bremen.de/en/Department_of_Molecular_Ecology.html
 at the Max Planck Institute for Marine Microbiology in Bremen in
 cooperation with Ribocon GmbH http://www.ribocon.com .
 .
 This package provides the documentation for ARB.
