=== debian/watch ===
version=4

# FIXME
# Upstream is doing releases now here
#  http://download.arb-home.de/special/manual-builds/

opts="downloadurlmangle=s{([\d.]+)/$}{$1/arb-$1-source.tgz},filenamemangle=s/\/$/.tgz/" \
   http://download.arb-home.de/release/ arb-(\d+.*)/
